Domeny niestandardowe
GET https://olinke.com/api/domains/
curl --request GET \
--url 'https://olinke.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| search | Opcjonalny Ciąg | Ciężar wyszukiwania. |
| search_by | Opcjonalny Ciąg | Jakie pole przeszukujesz? Dozwolone wartości to: host. |
| is_enabled | Opcjonalny Boolean | |
| datetime_field | Opcjonalny Ciąg | Dozwolone wartości: datetime, last_datetime |
| datetime_start | Opcjonalny Ciąg | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Opcjonalny Ciąg | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Opcjonalny Ciąg | Jakie pole użyć do sortowania wyników. Dozwolone wartości to: domain_id, datetime, last_datetime, host. |
| order_type | Opcjonalny Ciąg | Kolejność wyników. Dozwolone wartości to: ASC dla porządku rosnącego i DESC dla porządku malejącego. |
| page | Opcjonalny Całkowity | Numer strony, z której chcesz uzyskać wyniki. Domyślnie 1. |
| results_per_page | Opcjonalny Całkowity | Ile wyników chcesz na stronę. Dozwolone wartości to: 10, 25, 50, 100, 250, 500, 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-17 10:18:47",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://olinke.com/api/domains?page=1",
"last": "https://olinke.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://olinke.com/api/domains?page=1"
}
}
GET https://olinke.com/api/domains/{domain_id}
curl --request GET \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-17 10:18:47",
}
}
POST https://olinke.com/api/domains
| Parametry | Szczegóły | Opis |
|---|---|---|
| host | Wymagane Ciąg | - |
| custom_index_url | Opcjonalny Ciąg | - |
| custom_not_found_url | Opcjonalny Ciąg | - |
curl --request POST \
--url 'https://olinke.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://olinke.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://olinke.com/api/domains/{domain_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| host | Opcjonalny Ciąg | - |
| custom_index_url | Opcjonalny Ciąg | - |
| custom_not_found_url | Opcjonalny Ciąg | - |
curl --request POST \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://olinke.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://olinke.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \